STRUCT TEMPLATE (3)

NAME
boost::hash<T*>

SYNOPSIS

// In header: <boost/functional/hash.hpp>
template<typename T>
struct hash<T*> {
  std::size_t operator()(T*) const;
};

DESCRIPTION

std::size_t operator()(T* val) const;

Returns:
    Unspecified in TR1, except that equal arguments yield the same result.

Throws:
    Doesn't throw